Bug 9549 - async smb echo handler has a memleak
async smb echo handler has a memleak
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 15:08 UTC by Volker Lendecke
Modified: 2013-01-11 16:39 UTC (History)
0 users

See Also:


Attachments
Patch (753 bytes, patch)
2013-01-08 15:10 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2013-01-08 15:08:47 UTC

    
Comment 1 Volker Lendecke 2013-01-08 15:10:47 UTC
Created attachment 8389 [details]
Patch

Jeremy, if you agree, please push to master.

Thanks,

Volker
Comment 2 Jeremy Allison 2013-01-08 20:43:17 UTC
Comment on attachment 8389 [details]
Patch

Looks good to me. Great catch !

Jeremy.
Comment 3 Jeremy Allison 2013-01-09 17:14:44 UTC
Kaolin, can you

git cherry-pick 3d5c534f0cc7c6e3eead7462eef4a178c7035857

for 4.0.x ?

Thanks,

Jeremy.
Comment 4 Karolin Seeger 2013-01-10 08:25:15 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-01-11 09:41:20 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!
Comment 6 Christian Ambach 2013-01-11 15:34:22 UTC
Can this one be put into 3.6 as well please?
Comment 7 Volker Lendecke 2013-01-11 15:35:23 UTC
... try to apply that to 3.6 :-)
Comment 8 Christian Ambach 2013-01-11 16:33:03 UTC
It was more a question to Karolin if this could be included in 3.6.next :)
Comment 9 Volker Lendecke 2013-01-11 16:39:01 UTC
Ok, sorry for the irony mode: What I wanted to say is that the async echo responder in 3.6 looks completely different. The memleak does not exist there.